[rspec-users] Errors when running AUTOFEATURE=true autospec [cucumber, autotest]

Andy Pearson andy.james.pearson at googlemail.com
Tue Jul 28 17:09:30 EDT 2009

Hey David,

> Looks like two versions of rspec are getting loaded:
> /Library/Ruby/Gems/1.8/gems/rspec-1.2.8
> /Users/andypearson/.gem/ruby/1.8/gems/rspec-1.1.12
> Do you need rspec-1.1.12 for some reason? I'm not sure why it's
> getting loaded, but I'm quite confident it won't get loaded if it's
> not there :)

Yup, that seemed to be the problem, I removed respec-1.1.12 from my
home directory (I'm guessing I tried to install rspec without `sudo`
at some point) and now my specs are running fine.

Still having the problem with cucumber but I will post on that list
and see if anyone there can help me, sorry to clutter up this list -
last time I was here there was a discussion to see whether the lists
should be split or not, looks like you all came to a decision :)

Thanks for your time,


More information about the rspec-users mailing list